/*
	menumfld.c	 4/10/88

	% menu_MoveField

	C-scape 3.2
	Copyright (c) 1988, by Oakland Group, Inc.
	ALL RIGHTS RESERVED.

	Revision History:
	-----------------
	 3/28/90 jmd	ansi-fied
*/

#include "menu.h"

void menu_MoveField(menu_type menu, int fieldno, int row, int col)
/*
	Move a field to a new location.
*/
{
	/* test menu and field number */
	cs_Assert(menu_Ok(menu), CS_M_MF_MENU, 0);	/* passed bad menu */
	cs_Assert(fieldno >= 0 && fieldno < menu->fieldcount, CS_M_MF_FNO, 0);	/* passed bad fieldno */

	menu_TakeFieldFromGrid(menu, fieldno);
	menu_AddFieldToGrid(menu, fieldno, row, col);

	/* menu size is now incorrect */
	menu_SetDirty(menu, TRUE);
}

